#include <iostream>

using namespace std;

class Point
{
  public:
    Point();
    Point( int newX, int newY );
    void set( int newX, int newY );
    void print() const;
    ~Point();

  private:
    int x, y;
};

Point::Point()
{
  cout << "Point::Point()" << endl;
  x = y = 0;
}

Point::Point( int newX, int newY )
{
  cout << "Point::Point(int..)" << endl;
  x = newX;
  y = newY;
}

void Point::set( int newX, int newY )
{
  x = newX;
  y = newY;
}

void Point::print() const
{
  cout << "Point::print" << endl;
  cout << "(" << x << "," << y << ")" << endl;
}

Point::~Point()
{
  cout << "Point::~Point" << endl;
}

class Line
{
  public:
    Line( int x1, int y1, int x2, int y2 );
    void print() const;
    ~Line();

  private:
    Point p1, p2;
};

Line::Line( int x1, int y1, int x2, int y2 )
{
  cout << "Line::Line" << endl;
  p1.set( x1, y1 );
  p2.set( x2, y2 );
}

void Line::print() const
{
  cout << "Line::print" << endl;
  p1.print();
  cout << "<-->";
  p2.print();
}

Line::~Line()
{
  cout << "Line::~Line" << endl;
}

int main()
{
  cout << "Starting..." << endl;
  Line line( 3, 4, 6, 7 );
  line.print();
  cout << "Finishing..." << endl;
  return 0;
}
