#include <iostream>

using namespace std;

class Time
{
  public:
    Time();   // default constructor
    Time( int newHours, int newMinutes ); // explicit constructor
    int getHours() const; // constant method
    int getMinutes() const;
    void setHours( int newHours );
    void setMinutes( int newMinutes );
    void print() const;
    void enter();
    void read( istream& in );
    void write( ostream& out ) const;
    void add( Time time );

  private:
    int hours;
    int minutes;
};

Time::Time()
{
  hours = 0;
  minutes = 0;
}

Time::Time( int newHours, int newMinutes )
{
  setHours( 0 );
  setMinutes( 0 );
  setHours( newHours );
  setMinutes( newMinutes );
}

void Time::enter()
{
  int newHours, newMinutes;
  char ch;
  cin >> newHours >> ch >> newMinutes;
  if ( ch == ':' ) {
    setHours( newHours );
    setMinutes( newMinutes );
  } // if
}

int Time::getHours() const
{
  return hours;
}

int Time::getMinutes() const
{
  return minutes;
}

void Time::print() const
{
  if ( hours < 10 )
    cout << '0';
  cout << hours;
  cout << ':';
  if ( minutes < 10 )
    cout << '0';
  cout << minutes << endl;
}

void Time::read( istream& in )
{
  in >> hours >> minutes;
}

void Time::setHours( int newHours )
{
  if ( newHours >= 0 && newHours <= 23 )
    hours = newHours;
}

void Time::setMinutes( int newMinutes )
{
  if ( newMinutes >= 0 && newMinutes <= 59 )
    minutes = newMinutes;
}

void Time::write( ostream& out ) const
{
  out << hours << ' ' << minutes;
}

int main()
{
  const double pi = 3.14;
  const Time noon( 12, 0 );
  noon.print();
  return 0;
}
